curl --request POST \
--url https://your-tenant.bloodhoundenterprise.io/api/v2/graphs/cypher \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"include_properties": true
}
'{
"data": {
"node_keys": [
"<string>"
],
"edge_keys": [
"<string>"
],
"nodes": {},
"edges": [
{
"source": "<string>",
"target": "<string>",
"label": "<string>",
"kind": "<string>",
"lastSeen": "2023-11-07T05:31:56Z",
"properties": {}
}
],
"literals": [
{
"key": "<string>",
"value": {}
}
]
}
}Runs a manual cypher query directly against the database.
curl --request POST \
--url https://your-tenant.bloodhoundenterprise.io/api/v2/graphs/cypher \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"include_properties": true
}
'{
"data": {
"node_keys": [
"<string>"
],
"edge_keys": [
"<string>"
],
"nodes": {},
"edges": [
{
"source": "<string>",
"target": "<string>",
"label": "<string>",
"kind": "<string>",
"lastSeen": "2023-11-07T05:31:56Z",
"properties": {}
}
],
"literals": [
{
"key": "<string>",
"value": {}
}
]
}
}Authorization: Bearer $JWT_TOKEN
Prefer header, used to specify a custom timeout in seconds using the wait parameter as per RFC7240. Passing in wait=-1 bypasses all timeout limits when the feature is enabled.
^wait=(-1|[0-9]+)$OK
Show child attributes